### Method

# Fwupd Device has_icon

#### Declaration [src]

    gboolean
    fwupd_device_has_icon (
      FwupdDevice* self,
      const gchar* icon
    )

#### Description [src]

Finds out if the device has this specific icon.

Available since: | 1.6.2

#### Parameters

`icon` | `const gchar*`
| The icon name, e.g. `input-mouse` or `/usr/share/icons/foo.png`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| `TRUE` if the icon name is found.